All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.util.remotefile2
Interface RemoteFileDynamicValueKeys

All Superinterfaces:
  DynamicValueKeys

All Known Implementing Classes:
  HttpRemoteFileActionUtil, RemoteFileActionUtil

    public interface RemoteFileDynamicValueKeys

extends DynamicValueKeys

Field Summary
`static java.lang.String` | `FILE_NAME`
`static java.lang.String` | `FOLDER_NAME`
`static java.lang.String` | `FULLY_QUALIFIED_LOCATION`
`static java.lang.String` | `IS_FOLDER`
`static java.lang.String` | `MODEL`
`static java.lang.String` | `MODEL_COLUMN`
`static java.lang.String` | `NODE`
`static java.lang.String` | `PARENT_FOLDER_PATH`
`static java.lang.String` | `REMOTE_MODEL`
`static java.lang.String` | `SEARCH_ATTRIBUTES`
`static java.lang.String` | `SERVICE_MODEL`
`static java.lang.String` | `SORT_MODEL`
`static java.lang.String` | `TABLE`

Fields inherited from interface com.sas.actionprovider.util.DynamicValueKeys
`AREA_VALUE, AREA_VALUE_ATTRKEY, VIEWER, VIEWER_COMPONENT`

Field Detail

### TABLE

    static final java.lang.String TABLE

See Also:
  Constant Field Values

### MODEL

    static final java.lang.String MODEL

See Also:
  Constant Field Values

### SORT_MODEL

    static final java.lang.String SORT_MODEL

See Also:
  Constant Field Values

### REMOTE_MODEL

    static final java.lang.String REMOTE_MODEL

See Also:
  Constant Field Values

### SERVICE_MODEL

    static final java.lang.String SERVICE_MODEL

See Also:
  Constant Field Values

### MODEL_COLUMN

    static final java.lang.String MODEL_COLUMN

See Also:
  Constant Field Values

### FULLY_QUALIFIED_LOCATION

    static final java.lang.String FULLY_QUALIFIED_LOCATION

See Also:
  Constant Field Values

### NODE

    static final java.lang.String NODE

See Also:
  Constant Field Values

### IS_FOLDER

    static final java.lang.String IS_FOLDER

See Also:
  Constant Field Values

### SEARCH_ATTRIBUTES

    static final java.lang.String SEARCH_ATTRIBUTES

See Also:
  Constant Field Values

### FILE_NAME

    static final java.lang.String FILE_NAME

See Also:
  Constant Field Values

### FOLDER_NAME

    static final java.lang.String FOLDER_NAME

See Also:
  Constant Field Values

### PARENT_FOLDER_PATH

    static final java.lang.String PARENT_FOLDER_PATH

See Also:
  Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.